[package]
name = "levtree"
version = "0.1.2"
authors = ["Walter Oggioni <oggioni.walter@gmail.com>"]
license = "MIT"
edition = "2024"

[dependencies]
trait-group = "0.1"
sealed = "0.5"

[dev-dependencies]
clap = { version = "4.5", features = ["derive"] }
rmath = { version = "0.1", registry = "gitea" }

[lib]
name = "levtree"
crate-type = ["lib"]
bench = false


[[example]]
name = "benchmark"
path = "examples/benchmark.rs"

[[example]]
name = "searcher"
path = "examples/searcher.rs"

[[example]]
name = "lcs"
path = "examples/lcs.rs"
